## cURL

```
curl --location --request POST https://api.writer.com/v1/applications/{application_id}/jobs \
 --header "Authorization: Bearer <token>" \
 --header "Content-Type: application/json" \
--data-raw '{"inputs":[{"id": "Image ID", "value": ["12345"]}]}'
```

```
import os
from writerai import Writer

client = Writer(
    api_key=os.environ.get("WRITER_API_KEY"),  # This is the default and can be omitted
)
job = client.applications.jobs.create(
    application_id="application_id",
    inputs=[{
        "id": "id",
        "value": ["string"],
    }],
)
print(job.id)
```

```
import Writer from 'writer-sdk';

const client = new Writer({
  apiKey: process.env['WRITER_API_KEY'], // This is the default and can be omitted
});

async function main() {
  const job = await client.applications.jobs.create('application_id', {
    inputs: [{ id: 'id', value: ['string'] }],
  });

console.log(job.id);
}

main();
```

202

```
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z"
}
```

## Authorizations

**Authorization**  
string  
header  
required  
Bearer authentication header of the form `Bearer <token>`, where `<token>` is your [Writer API key](https://dev.writer.com/api-reference/api-keys).

## Path Parameters

**application_id**  
string  
required  
The ID of the no-code app for which to create a job.

## Body

**application/json**  
**inputs**  
generate_application_input · object[]  
required  
A list of input objects to generate content for.

## Response

### 202 - application/json

**id**  
string<uuid>  
required  
The unique identifier for the async job created.

**status**  
enum<string>  
required  
The status of the job.  
Available options:
`in_progress`,  
`failed`,  
`completed`

**created_at**  
string<date-time>  
required  
The timestamp when the job was created.
